How do I use pdf.js on Qutebrowser?

Hello,

I use qutebrowser as my default browser (being a vim user).

http://qutebrowser.org/

Would anyone know how to get pdfjs working on it without having to download the archive manually (and keep it up to date)? I was hoping I could use the version Firefox includes, for example, but I cannot seem to find it in the firefox package:

$ rpmls firefox | grep pdf
# no output

$ rpmls firefox  | grep js
-rw-r--r--  /usr/lib64/firefox/browser/defaults/preferences/firefox-redhat-default-prefs.js
-rw-r--r--  /usr/lib64/firefox/defaults/pref/channel-prefs.js
-rw-r--r--  /usr/lib64/firefox/gmp-clearkey/0.1/manifest.json

This is what qutebrowser says:

@FranciscoD, I can’t seem to find it either. Maybe the right long-term solution will be speaking with qutebrowser package maintainer about either including mozilla’s pdf.js in the main package or as a separate package (as Debian and Arch seem to be doing this).

1 Like